## deepin-feedback 5.2.0

=== debian/changelog ===
deepin-feedback (5.2.0-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Mon, 10 Jan 2022 10:15:21 +0800

deepin-feedback (5.1.4) unstable; urgency=medium

  * remove Desktop feedback.desktop.

 -- LiChengGang <lichenggang@uniontech.com>  Thu, 30 Dec 2021 17:11:18 +0800

deepin-feedback (5.1.3) unstable; urgency=medium

  * rm skel/Desktop .desktop.

 -- TagBuilder <lichenggang@uniontech.com>  Thu, 05 Aug 2021 20:54:18 +0800

deepin-feedback (5.1.2) unstable; urgency=medium

  * add feedback desktop.

 -- TagBuilder <lichenggang@uniontech.com>  Tue, 03 Aug 2021 11:45:24 +0800

deepin-feedback (1.0.3) stable; urgency=low

  * Autobuild Tag 1.0.3 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 23 May 2016 14:50:03 +0000

deepin-feedback (1.0.2-2) stable; urgency=low

  * Rebuild Version 1.0.2 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 21 Apr 2016 16:17:38 +0000

deepin-feedback (1.0.2-1) stable; urgency=low

  * Autobuild Tag 1.0.2 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Fri, 19 Feb 2016 14:11:44 +0000

deepin-feedback (1.0.1-2) stable; urgency=low

  * Rebuild Version 1.0.1 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Wed, 30 Dec 2015 20:47:44 +0000

deepin-feedback (1.0.1-1) stable; urgency=low

  * Autobuild Tag 1.0.1 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Wed, 30 Dec 2015 20:45:39 +0000

deepin-feedback (1.0.0-1) stable; urgency=low

  * Autobuild Tag 1.0.0 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 28 Dec 2015 21:06:15 +0000

deepin-feedback (0.9.4-1) stable; urgency=low

  * Autobuild Tag 0.9.4 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 09 Dec 2015 22:06:43 +0000

deepin-feedback (0.9.3-2) stable; urgency=low

  * Rebuild Version 0.9.3 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 25 Nov 2015 17:04:43 +0000

deepin-feedback (0.9.3-1) stable; urgency=low

  * Autobuild Tag 0.9.3 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 20 Nov 2015 09:50:04 +0000

deepin-feedback (0.9.2-1) stable; urgency=low

  * Autobuild Tag 0.9.2 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 10 Jul 2015 11:02:35 +0000

deepin-feedback (0.9.1-1) stable; urgency=low

  * Autobuild Tag 0.9.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 03 Jul 2015 11:08:55 +0000

deepin-feedback (0.9.0-1) stable; urgency=low

  * Autobuild Tag 0.9.0-1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 01 Jul 2015 13:44:47 +0000

deepin-feedback (0.1) trusty; urgency=low

  * Initial Release.

 -- 宋文武 <songwenwu@linuxdeepin.com>  Mon, 25 Aug 2014 09:50:30 +0800

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export QT_SELECT = qt5
export GOPATH := /usr/share/gocode
export GOCACHE=/tmp/gocache

%:
	dh $@

ifdef USE_GCCGO
override_dh_strip:
	true
endif

## deepin-feedback 6.0.0

=== Makefile ===
PREFIX = /usr

ifndef USE_GCCGO
    GOBUILD = go build
else
   LDFLAGS = $(shell pkg-config --libs gio-2.0)
   GOBUILD = go build -compiler gccgo -gccgoflags "${LDFLAGS}"
endif

LANGUAGES = $(basename $(notdir $(wildcard misc/po/*.po)))

all: build

build/locale/%/LC_MESSAGES/deepin-feedback.mo:misc/po/%.po
	mkdir -p $(@D)
	msgfmt -o $@ $<

translate: $(addsuffix /LC_MESSAGES/deepin-feedback.mo, $(addprefix build/locale/, ${LANGUAGES}))

build: check translate
	mkdir -p build
	(cd cli; go build -o ../build/feedbackserver feedbackserver.go)
	deepin-policy-ts-convert ts2policy misc/com.deepin.deepin-feedback.policy.in misc/ts/com.deepin.deepin-feedback.policy build/com.deepin.deepin-feedback.policy
	deepin-desktop-ts-convert ts2desktop misc/deepin-feedback.desktop.in misc/ts/deepin-feedback.desktop build/deepin-feedback.desktop

ts:
	deepin-policy-ts-convert policy2ts misc/com.deepin.deepin-feedback.policy.in misc/ts/com.deepin.deepin-feedback.policy
	deepin-desktop-ts-convert desktop2ts misc/deepin-feedback.desktop.in misc/ts/deepin-feedback.desktop

pot:
	xgettext -LShell --from-code UTF-8 --keyword=gettext -o misc/po/deepin-feedback-cli.pot cli/deepin-feedback-cli.sh deepin-feedback

install:
	install -dm0755 ${DESTDIR}${PREFIX}/bin/
	mkdir -p ${DESTDIR}/var/lib/deepin-feedback/
	cp -rf feedback_logpath.json ${DESTDIR}/var/lib/deepin-feedback/feedback_logpath.json
	install -m0755 cli/deepin-feedback-cli.sh ${DESTDIR}${PREFIX}/bin/deepin-feedback-cli
	install -m0755 build/feedbackserver ${DESTDIR}${PREFIX}/bin/
	install -m0755 deepin-feedback ${DESTDIR}${PREFIX}/bin/
	install -dm0755 ${DESTDIR}${PREFIX}/share/applications
	install -m0755 build/deepin-feedback.desktop ${DESTDIR}${PREFIX}/share/applications/
	cp -rf misc/icons ${DESTDIR}${PREFIX}/share/
	install -dm0755 ${DESTDIR}${PREFIX}/share/polkit-1/actions/
	install -m0644 build/com.deepin.deepin-feedback.policy ${DESTDIR}${PREFIX}/share/polkit-1/actions/
	install -dm0755 ${DESTDIR}${PREFIX}/share/locale/
	cp -r build/locale/* ${DESTDIR}${PREFIX}/share/locale

uninstall:
	rm -f ${DESTDIR}${PREFIX}/bin/deepin-feedback-cli
	rm -f /var/lib/deepin-feedback/feedback_logpath.json
	rm -f ${DESTDIR}${PREFIX}/share/applications/deepin-feedback.desktop
	rm -f ${DESTDIR}${PREFIX}/share/icons/hicolor/scalable/apps/deepin-feedback.svg

check:
	bash --norc -n -- cli/deepin-feedback-cli.sh

clean:
	$(RM) -r build

=== debian/changelog ===
deepin-feedback (6.0.0) unstable; urgency=medium

  * fix: export GOCACHE
  * feat: 补充翻译内容
  * feat: 传递应用名到网站
  * feat: 传递系统版本号到网站
  * feat: 在应用菜单中使用dbus启动
  * chore: add cicd workflows
  * feat: use new dbus interface(Issue: https://github.com/linuxdeepin/developer-center/issues/6310)

 -- myml <wurongjie@deepin.org>  Thu, 04 Jan 2024 10:49:15 +0800

=== debian/control ===
Source: deepin-feedback
Section: utils
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-Depends: debhelper (>= 9),
 golang | golang-go,
 pkg-config,
 libx11-dev,
 libxtst-dev,
 deepin-gettext-tools
Standards-Version: 3.9.5

Package: deepin-feedback
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 rfkill, lshw,
 wireless-tools, gzip,
 boot-info-script, jq, dde-polkit-agent
Recommends: efibootmgr [amd64 i386 arm64], dmidecode [amd64 i386 arm64]
Description: report crash information to deepin for debugging
 this is customer feedback honor
